Subject: Re: bug#37662: substitution failure of nss-certs

From: Ludovic Courtès <[email-masked]>
Date: Thu, 10 Oct 2019 16:31:06 +0200

Hi Josh,

Josh Holland <[email-masked]> skribis:

> After the core-updates merge today, I did the following, and it gave an
> error message (I tried a couple of times, with the same result):
>
> $ guix pull && guix package -m ~/guix-packages.scm -u .
> # ... snip ...
> downloading from https://ci.guix.gnu.org/nar/gzip/532l4zja85y9c69i0l0bwnsxx98gpzdw-nss-certs-3.45...
>  nss-certs-3.45  148KiB                                                                                                                              937KiB/s 00:00 [#                 ]  10.8%Backtrace:
>
> gzip: stdout: Broken pipe
>            3 (apply-smob/1 #<catch-closure 2146640>)
> In ice-9/boot-9.scm:
>     705:2  2 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
> In ice-9/eval.scm:
>     619:8  1 (_ #(#(#<directory (guile-user) 21c9140>)))
> In guix/ui.scm:
>   1734:12  0 (run-guix-command _ . _)
>
> guix/ui.scm:1734:12: In procedure run-guix-command:
> Throw to key `encoding-error' with args `("scm_to_stringn" "cannot convert wide string to output locale" 84 #f #f)'.

This package contains non-ASCII UTF-8-encoded file names.

I suppose the error here is because you’re daemon is missing its UTF-8
locales.

This could be because you upgraded the daemon but did not upgrade the
‘glibc-utf8-locales’ or ‘glibc-locales’ you installed as root, no?

HTH,
Ludo’.